
// 搜索
function fcsaninitiator_search(info) {

  jQuery('#jv-fcinitiator-page-loading').show();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    data: JSON.encode({
      cmd: 'fcsaninitiator_search',
      token: UToken
    }),
    dataType: 'json',
    contentType: 'application/json',
    success: function(res) {
      if (res.err == 0) {
        fipErrorWindow('Search Complete');
      }else {
        fipErrorWindow(res.errmsg || 'Search Failed');
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    },
    complete: function(xhr, status) {
      jQuery('#jv-fcinitiator-page-loading').hide();
    }
  });
}

//获取光纤口
function fcsan_qlogic_fit(){
  jQuery('#jv-fcinitiator-page-loading').show();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    data: JSON.encode({
      cmd: 'fcsan_qlogic',
      token: UToken
    }),
    dataType: 'json',
    contentType: 'application/json',
    success: function(res) {
      if (res.err == 0) {
        var info = res.results || {};
        jQuery('#jv-fcinitiatorwwn-host').empty();
        var i = 0;
        for (var v in info) {
          if (info.hasOwnProperty(v)) {
            var fipdom = fcinitiatorTemplateAppend('#jv-fcinitiatorwwn-host', 'jvt-fp-fci-i', 'jvt-fp-fci-i' + i);
            fipdom.find('.jvc-fiberportname').text(v);
            fipdom.find('.jvc-port-state').text(info[v].port_state)
            fipdom.find('.jvc-port-state').addClass(info[v].port_state == 'Online' ? 'fc-Online' : 'fc-Offline');
            fipdom.find('.jvc-port-speed').text(info[v].speed);
          }
          i++;
        }
      }else {
        // fipErrorWindow(res.errmsg);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    },
    complete: function(xhr, status) {
      jQuery('#jv-fcinitiator-page-loading').hide();
    }
  });
}

function fcinitiatorTemplateAppend(target, template, name) {
  jQuery('#' + template).clone().attr('id', name).show().appendTo(target);
  var tagName = '#' + name;
  return jQuery(tagName);
}

function fipErrorWindow(msg, fn) {
  var fipErrorWindow = new MUI.Modal({
    id: 'jv-fipErrorWindow',
    title: UNAS._('Tips'),
    modal: true,
    modalOverlayClose: false,
    width: 400,
    height: 200,
    errmsg: msg,
    contentURL: '/apps/fcinitiator/error.html?=v=6.0.3&'
  });
  fipErrorWindow.callBack = function() {
    if (typeof fn == 'function') {
      fn();
    }
  };
}

(function() {
  fcsan_qlogic_fit();
  jQuery("#jv-fcinitiatorwwnlist-table").mCustomScrollbar({
    autoHideScrollbar: true,
    theme: "minimal-dark"
  });
})();
